package cases

import (
	"spaceofcheng/services/controllers"
	"spaceofcheng/services/models/model"
	"spaceofcheng/services/service/cases"
)

// CaseController 信息
type SigninController struct {
	dao *cases.SigninServ
	controllers.BaseController
}

// Constructor 初始化 Controller
// @Title Constructor
// @Description 初始化 Controller, 系统自动调用
func (c *SigninController) Constructor() {
	c.dao = cases.NewSigninServ(c.Context)
}

// GetOrgCases 获取机构案场
/**
 条件:
				 selectType: 今天,本周,本月,今年,全部
				 caseid: 案场ID
*/
func (c *SigninController) GetSigninWhere() {
	selectType, err := c.GetInt("selectType")
	page, err := c.GetInt("page")
	pageSize, err := c.GetInt("pageSize")

	caseids := c.GetString("caseid")
	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	res, err := c.dao.GetSigninWhere(selectType, caseids, page, pageSize)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(res)
}
