package cases

import (
	"spaceofcheng/services/models/cases"
	"spaceofcheng/services/utils"

	"github.com/astaxie/beego"
)

// SigninServ 系统处理
type SigninServ struct {
	ctx *utils.Context
	dao *cases.SigninDAO
}

// NewSigninServ 初始化
func NewSigninServ(ctx *utils.Context) *SigninServ {
	return &SigninServ{
		ctx: ctx,
		dao: cases.NewSigninDAO(ctx),
	}
}

//GetSigninWhere
/**
GetSigninWhere 根据条件查询签到记录
		 条件:
				 selectType: 今天,本周,本月,今年,全部
				 caseid: 案场ID
*/
func (s *SigninServ) GetSigninWhere(selectType int, caseids string, page, pageSize int) (map[string]interface{}, error) {

	info, err := s.dao.GetSigninWhere(selectType, caseids, page, pageSize)
	var total int
	if err != nil {
		beego.Error(err)
		return nil, err
	}
	if len(info) > 0 {
		total = len(info)
	}

	return map[string]interface{}{
		"list":     info,
		"pagesize": pageSize,
		"pagenum":  total,
		"page":     page,
	}, err
}
